import { useAuthStore } from "./auth.store";
import { computed } from "vue";
import { session } from "./auth.session";
export const useAuth = () => {
    const store = useAuthStore();
    return {
        isAuthenticated: computed(() => store.isAuthenticated),
        user: computed(() => store.user),
        logout() {
            session.clear();
            window.location.href = "/";
        },
    };
};
