export const unknownRequest = {
    id: "",
    method: "",
    url: "",
    body: null,
};
export const unknownResponse = { status: 0, body: null };
export class BackendError extends Error {
    request;
    response;
    date;
    metadata = {};
    constructor(request = unknownRequest, response = unknownResponse, message = "Backend Unknown Error") {
        super(message);
        this.request = request;
        this.response = response;
        this.name = "BackendError";
        this.date = new Date();
    }
    addTag(key, value) {
        this.metadata[key] = value;
    }
}
