import { BackendError } from "./errors";
export * from "./useBrowser";
export * from "./useEdge";
export * from "./useMutation";
export * from "./useQuery";
export * from "./useRequest";
export * from "./request";
export * from "./apollo";
export * from "./config";
export * as errors from "./errors/index";
export * as api from "./api/index";
export interface TokenInterface {
    access_token: string;
    refresh_token: string;
    expires_in: number;
}
declare type ErrorHandler = (error: BackendError) => void;
export declare const setAuthorization: (authorization: TokenInterface | null) => void;
export declare const getAuthorization: () => TokenInterface | undefined;
export declare const setErrorHandler: (handler: ErrorHandler | null) => void;
export declare const handleError: (error: Error) => void;
