import { BackendError } from "./errors";
export * from "./useBrowser";
export * from "./useEdge";
export * from "./useMutation";
export * from "./useQuery";
export * from "./useRequest";
export * from "./request";
export * from "./apollo";
export * from "./config";
export * as errors from "./errors/index";
export * as api from "./api/index";
const state = {};
export const setAuthorization = (authorization) => {
    state.authorization = authorization == null ? undefined : authorization;
};
export const getAuthorization = () => state.authorization;
export const setErrorHandler = (handler) => {
    state.errorHandler = handler == null ? undefined : handler;
};
export const handleError = (error) => {
    if (!state.errorHandler) {
        return console.warn("Error not handled", error.name, error.message);
    }
    if (error instanceof BackendError) {
        state.errorHandler(error);
    }
    else {
        const backendError = new BackendError();
        backendError.message = error.message;
        backendError.addTag("previous", error);
        state.errorHandler(backendError);
    }
};
