import { computed, ref } from "vue";
import { getBrowser } from "./api/browse";
import { isString } from "../utils/string/isString";
export const useBrowser = () => {
    const isLoading = ref(false);
    const isLoaded = ref(false);
    const browser = ref(null);
    const commonApps = computed(() => browser.value?.apps.filter((a) => ["admin", "chat", "feed"].includes(a.id)) || []);
    const otherApps = computed(() => browser.value?.apps.filter((a) => !["admin", "chat", "feed"].includes(a.id)) || []);
    const browse = () => {
        isLoading.value = true;
        getBrowser()
            .then((data) => (browser.value = data))
            .then(() => (isLoaded.value = true))
            .catch(() => {
            isLoading.value = false;
        });
    };
    return {
        isLoading,
        isLoaded,
        browser,
        commonApps,
        otherApps,
        browse,
        open() {
            if (browser.value && isString(browser.value.open_url)) {
                window.location.href = browser.value.open_url;
            }
        },
    };
};
