export declare const getValueByPath: (object: any, path: string) => any;
export interface QueryOptionsInterface {
    variables?: any;
    cacheOrLoad?: boolean;
    select?: string;
}
export declare const useQuery: (name: string, query: string, options?: QueryOptionsInterface) => {
    isLoading: import("vue").ComputedRef<boolean>;
    isLoadingMore: import("vue").ComputedRef<boolean>;
    data: import("vue").ComputedRef<any>;
    variables: import("vue").Ref<any>;
    error: import("vue").Ref<import("@apollo/client").ApolloError | null>;
    load: (variables?: Record<string, any>) => void | Promise<import("@apollo/client").ApolloQueryResult<any>>;
    loadMore(variables: Record<string, any>, updateQuery?: any): Promise<import("@apollo/client").ApolloQueryResult<any>> | undefined;
    status: import("vue").Ref<number | undefined>;
    disable(): void;
    enable(): void;
};
