import type { Ref } from "vue";
import type { Options as BaseOptions } from "ky";
interface Options extends Pick<BaseOptions, "method" | "json" | "searchParams" | "timeout" | "onDownloadProgress"> {
    autoload?: boolean;
}
interface CallOptions extends Pick<BaseOptions, "body" | "json" | "searchParams"> {
    throwError: boolean;
}
declare type Path = string | (() => string);
export declare const useRequest: <Response_1 = any>(path: Path, options?: Options) => {
    isLoading: Ref<boolean>;
    data: Ref<Response_1 | null>;
    error: Ref<Error | null>;
    send: (extra?: CallOptions) => Promise<void | Response_1>;
};
export {};
