import { useRouter } from "vue-router";
import { computed } from "vue";
export const useCurrentRoute = () => {
    const router = useRouter();
    return {
        query: computed(() => router.currentRoute.value.query),
        setQuery(query) {
            if (router.currentRoute.value.name == null) {
                return;
            }
            const keys = Object.keys(query);
            if (keys.length === 0) {
                return;
            }
            const currentQuery = { ...router.currentRoute.value.query };
            let shouldReplace = false;
            keys.forEach((key) => {
                if (currentQuery[key] !== query[key]) {
                    currentQuery[key] = query[key];
                    if (currentQuery[key] === null) {
                        // @ts-ignore
                        currentQuery[key] = undefined;
                    }
                    shouldReplace = true;
                }
            });
            if (!shouldReplace)
                return;
            router.replace({
                name: router.currentRoute.value.name,
                params: router.currentRoute.value.params,
                query: currentQuery,
            });
        },
    };
};
